User Context
Get the user context
Imago API
Version: 1.4.5
The user context describes the list of workspaces and other information accessible by that user. Each workspace is described by its dataset and its imagery types definitions.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
Returns
200
Successful response.
Endpoint
GET
/contextRequest
cURL
curl -X GET 'https://imago.api.seequent.com/integrate/2/context' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"workspaces": [
{
"id": "a27b51bf-b918-4fb4-a28f-4f089bf646a8",
"name": "Firefly Resource Development",
"readonly": false,
"workspaceFolder": "Western Australia",
"datasets": [
{
"id": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"name": "Drilling Chips",
"lengthUnits": "metres",
"imageryTypes": [
{
"id": "6a69bf8e-c03c-4ed2-8a62-d6feac838f12",
"name": "Chips",
"contentType": "chiptray",
"geometryType": "trace",
"coordinateType": "geographic",
"imageTypes": [
{
"id": "8b0634bf-1136-4b5e-a247-c219e77fb92e",
"name": "Dry",
"dataType": "image",
"baseImageTypeName": null,
"sourceType": "O"
},
{
"id": "f16c5dbe-f455-4076-8358-ffda8f538814",
"name": "Wet",
"dataType": "image",
"baseImageTypeName": null,
"sourceType": "O"
}
],
"attributeDefinitions": [
{
"id": "1e1ee44f-35f9-402e-b786-344eb12bb92f",
"name": "Core Tray Box Numbers",
"attributeTypes": [
{
"id": "6201bcd3-0465-48ff-b18c-f59672938bef",
"name": "RowNumber",
"dataType": "number"
},
{
"id": "af503e7f-e5b5-43e6-9f77-c8c7735ce95c",
"name": "StartBox",
"dataType": "number"
},
{
"id": "50ff0d35-a071-4b74-a0be-f0d27db33658",
"name": "EndBox",
"dataType": "number"
}
]
},
{
"id": "3f5a7810-f4f8-4dbd-a53f-817144c32520",
"name": "Assays",
"attributeTypes": [
{
"id": "3cde0cb8-e8e6-49c8-b5c1-ca4cc0e36837",
"name": "ag_ppm",
"dataType": "number"
},
{
"id": "fce349ab-9d4c-49ba-b1b5-8dc6cb1f7b70",
"name": "cu_ppm",
"dataType": "number"
},
{
"id": "845f8464-6370-4b2e-bc24-a2d3025f9c38",
"name": "mo_ppm",
"dataType": "number"
}
]
}
],
"labelDefinitions": [
{
"id": "4f8eca42-1f30-477d-b8e2-2d947957c68d",
"name": "Status",
"labelTypes": [
{
"id": "9ae4b866-c9b2-4d5f-b74d-36ae822d8e99",
"name": "Planned"
},
{
"id": "8425d843-3c83-4b17-9d8a-fb05958bc53c",
"name": "In Progress"
},
{
"id": "b86c186e-29ba-48a5-ad74-dd23f0afec6c",
"name": "Done"
}
]
}
],
"featureDefinitions": [
{
"id": "c8f03e80-7e56-4ab9-be36-68659be70898",
"name": "Linearization",
"featureTypes": [
{
"id": "e195d70d-59c1-4b96-984f-b51f4348bc4b",
"name": "boundary",
"colour": "#F00",
"shapeType": "quadrilateral"
},
{
"id": "bd61335b-b3c0-4e2d-9e73-89f0c9292ebd",
"name": "row",
"colour": "#ffff00",
"shapeType": "quadrilateral"
}
]
}
],
"enableAutoCrop": false
}
]
}
]
}
]
}